## golang-github-pion-stun 0.4.0

=== Makefile ===
VERSION := $(shell git describe --tags | sed -e 's/^v//g' | awk -F "-" '{print $$1}')
ITERATION := $(shell git describe --tags --long | awk -F "-" '{print $$2}')
GO_VERSION=$(shell gobuild -v)
GO := $(or $(GOROOT),/usr/lib/go)/bin/go
PROCS := $(shell nproc)
cores:
	@echo "cores: $(PROCS)"
bench:
	go test -bench .
bench-record:
	$(GO) test -bench . > "benchmarks/stun-go-$(GO_VERSION).txt"
lint:
	@golangci-lint run ./...
	@echo "ok"
escape:
	@echo "Not escapes, except autogenerated:"
	@go build -gcflags '-m -l' 2>&1 \
	| grep -v "<autogenerated>" \
	| grep escapes
format:
	goimports -w .
bench-compare:
	go test -bench . > bench.go-16
	go-tip test -bench . > bench.go-tip
	@benchcmp bench.go-16 bench.go-tip
install:
	go get gortc.io/api
	go get -u github.com/golangci/golangci-lint/cmd/golangci-lint
test-integration:
	@cd e2e && bash ./test.sh
prepush: test lint test-integration
check-api:
	@cd api && bash ./check.sh
test:
	@./go.test.sh
clean:

## golang-github-pion-stun 0.3.4

=== debian/changelog ===
golang-github-pion-stun (0.3.4-2) unstable; urgency=medium

  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Jun 2022 22:34:54 +0530

golang-github-pion-stun (0.3.4-1) unstable; urgency=medium

  * Initial release (Closes: #1012642)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Jun 2022 09:48:28 +0530

=== debian/control ===
Source: golang-github-pion-stun
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-pion-stun
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-pion-stun.git
Homepage: https://github.com/pion/stun
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/pion/stun

Package: golang-github-pion-stun-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Go implementation of STUN
 The library is used as a part pion WebRTC implementation.
  Package stun implements Session Traversal Utilities for NAT (STUN)
 [RFC5389] protocol and client with no external
 dependencies and zero allocations in hot paths.
 Client supports automatic requests and retransmissions.

## golang-github-pion-stun 0.4.0

=== debian/changelog ===
golang-github-pion-stun (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Versioned dependency on pion-transport
  * Minor copyright fix

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Feb 2023 14:22:06 +0530

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any
-Standards-Version: 4.6.0
+               golang-any,
+               golang-github-pion-transport-dev (>= 2.0.2-1~)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-pion-stun
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-pion-stun.git
 Homepage: https://github.com/pion/stun
@@ -17,7 +18,7 @@
 Package: golang-github-pion-stun-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, golang-github-pion-transport-dev (>= 2.0.2-1~)
 Description: Go implementation of STUN
  The library is used as a part pion WebRTC implementation.
   Package stun implements Session Traversal Utilities for NAT (STUN)

## golang-github-pion-stun 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2023 The Pion community <https://pion.ly>
+# SPDX-License-Identifier: MIT
+
 VERSION := $(shell git describe --tags | sed -e 's/^v//g' | awk -F "-" '{print $$1}')
 ITERATION := $(shell git describe --tags --long | awk -F "-" '{print $$2}')
 GO_VERSION=$(shell gobuild -v)

=== debian/changelog ===
golang-github-pion-stun (0.6.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 05 Feb 2025 00:49:10 +0530

golang-github-pion-stun (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Nilesh Patra <nilesh@debian.org>  Wed, 05 Feb 2025 00:03:14 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-pion-transport-dev (>= 2.0.2-1~)
+               golang-github-stretchr-testify-dev,
+               golang-github-pion-transport-dev (>= 2.0.2-1~),
+               golang-github-pion-dtls.v2-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-pion-stun
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-pion-stun.git
@@ -18,7 +20,7 @@
 Package: golang-github-pion-stun-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, golang-github-pion-transport-dev (>= 2.0.2-1~)
+Depends: ${misc:Depends}, golang-github-pion-transport-dev (>= 2.0.2-1~), golang-github-pion-dtls.v2-dev
 Description: Go implementation of STUN
  The library is used as a part pion WebRTC implementation.
   Package stun implements Session Traversal Utilities for NAT (STUN)
